import Database = require("better-sqlite3");
import { DataStore, CollectionStore } from "./data_store";
import { Runtime } from "./runtime";
export declare class Collection implements CollectionStore {
    name: string;
    db: Database;
    constructor(db: Database, name: string);
    put(rt: Runtime, key: string, obj: string): Promise<boolean>;
    get(rt: Runtime, key: string): Promise<any>;
    del(rt: Runtime, key: string): Promise<boolean>;
}
export declare class SQLiteDataStore implements DataStore {
    db: Database;
    constructor(appName: string, env: string);
    collection(rt: Runtime, name: string): Promise<Collection>;
    dropCollection(rt: Runtime, name: string): Promise<void>;
}
